;
;		Structure Def's
;
	nolist
	include 'exec/types.i'
	include 'intuition/intuition.i'
	list

	xdef	Gadg,hp,ocp,dp,Bp,Cp
	xdef	zp,op,twop,thrp,fp,fip,sip,sep
	xdef	ep,np,tp,elp,twp,thp,fop,fifp,Plp,Mip,Mup
	xdef	Dip,Eqp,Tip,GadT

;	Struct.asm
;	Version 1.0
;
;	These are the structure definitions for all the gadgets
;

HexI	DC.W	0,0
	DC.W	43,17,2
hp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

OctI	DC.W	0,0
	DC.W	43,17,2
ocp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

DecI	DC.W	0,0
	DC.W	43,17,2
dp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

BinI	DC.W	0,0
	DC.W	43,17,2
Bp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

ClrI	DC.W	0,0
	DC.W	43,17,2
Cp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

;	Yep!

ZeroI	DC.W	0,0
	DC.W	21,17,2
zp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

OneI	DC.W	0,0
	DC.W	21,17,2
op	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

TwoI	DC.W	0,0
	DC.W	21,17,2
twop	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

ThreeI	DC.W	0,0
	DC.W	21,17,2
thrp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

FourI	DC.W	0,0
	DC.W	21,17,2
fp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

FiveI	DC.W	0,0
	DC.W	21,17,2
fip	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

SixI	DC.W	0,0
	DC.W	21,17,2
sip	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

SevenI	DC.W	0,0
	DC.W	21,17,2
sep	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

EightI	DC.W	0,0
	DC.W	21,17,2
ep	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

NineI	DC.W	0,0
	DC.W	21,17,2
np	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

TenI	DC.W	0,0
	DC.W	21,17,2
tp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

ElevenI	DC.W	0,0
	DC.W	21,17,2
elp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

TwelveI	DC.W	0,0
	DC.W	21,17,2
twp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

ThrtenI	DC.W	0,0
	DC.W	21,17,2
thp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

FortenI	DC.W	0,0
	DC.W	21,17,2
fop	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

FiftenI	DC.W	0,0
	DC.W	21,17,2
fifp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

PlusI	DC.W	0,0
	DC.W	21,17,2
Plp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

MinusI	DC.W	0,0
	DC.W	21,17,2
Mip	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

MultiI	DC.W	0,0
	DC.W	21,17,2
Mup	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

DivideI	DC.W	0,0
	DC.W	21,17,2
Dip	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

EqualI	DC.W	0,0
	DC.W	21,17,2
Eqp	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

TitleI	DC.W	0,0
	DC.W	141,35,2
Tip	DC.L	0
	DC.B	$03,$00
	DC.L	$0000

Gadg	DC.L	Octg			; NextGadget
	DC.W	27,61			; LeftEdge, TopEdge  
	DC.W	43,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	HexI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	22		; GadgetID  
	DC.L	0		; UserData  

Octg	DC.L	Decg	; NextGadget
	DC.W	76,61	; LeftEdge, TopEdge  
	DC.W	43,17	; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	OctI	; GadgetRender  
	DC.L	0	; SelectRender  
	DC.L	0	; GadgetText  
	DC.L	0	; MutualExclude  
	DC.L	0	; SpecialInfo  
	DC.W	23	; GadgetID  
	DC.L	0	; UserData  

Decg	DC.L	Bing	; NextGadget
	DC.W	174,61	; LeftEdge, TopEdge  
	DC.W	43,17	; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	DecI	; GadgetRender  
	DC.L	0	; SelectRender  
	DC.L	0	; GadgetText  
	DC.L	0	; MutualExclude  
	DC.L	0	; SpecialInfo  
	DC.W	24	; GadgetID  
	DC.L	0	; UserData  

Bing	DC.L	Clrg	; NextGadget
	DC.W	125,61	; LeftEdge, TopEdge  
	DC.W	43,17	; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	BinI	; GadgetRender  
	DC.L	0	; SelectRender  
	DC.L	0	; GadgetText  
	DC.L	0	; MutualExclude  
	DC.L	0	; SpecialInfo  
	DC.W	25	; GadgetID  
	DC.L	0	; UserData  

Clrg	DC.L	ZeroG	; NextGadget
	DC.W	233,61	; LeftEdge, TopEdge  
	DC.W	43,17	; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	ClrI	; GadgetRender  
	DC.L	0	; SelectRender  
	DC.L	0	; GadgetText  
	DC.L	0	; MutualExclude  
	DC.L	0	; SpecialInfo  
	DC.W	26	; GadgetID  
	DC.L	0	; UserData  

ZeroG	DC.L	Oneg			; NextGadget
	DC.W	320,99			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	ZeroI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	0		; GadgetID  
	DC.L	0		; UserData  

Oneg	DC.L	Twog			; NextGadget
	DC.W	291,82			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	OneI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	1		; GadgetID  
	DC.L	0		; UserData  

Twog	DC.L	Threeg			; NextGadget
	DC.W	320,82			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	TwoI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	2		; GadgetID  
	DC.L	0		; UserData  

Threeg	DC.L	Fourg			; NextGadget
	DC.W	349,82			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	ThreeI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	3		; GadgetID  
	DC.L	0		; UserData  

Fourg	DC.L	Fiveg			; NextGadget
	DC.W	291,65			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	FourI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	4		; GadgetID  
	DC.L	0		; UserData  

Fiveg	DC.L	Sixg			; NextGadget
	DC.W	320,65			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	FiveI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	5		; GadgetID  
	DC.L	0		; UserData  

Sixg	DC.L	Seveng			; NextGadget
	DC.W	349,65			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	SixI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	6		; GadgetID  
	DC.L	0		; UserData  

Seveng	DC.L	Eightg			; NextGadget
	DC.W	291,48			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	SevenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	7		; GadgetID  
	DC.L	0		; UserData  

Eightg	DC.L	Nineg			; NextGadget
	DC.W	320,48			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	EightI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	8		; GadgetID  
	DC.L	0		; UserData  

Nineg	DC.L	Teng			; NextGadget
	DC.W	349,48			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	NineI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	9		; GadgetID  
	DC.L	0		; UserData  

Teng	DC.L	Eleveng			; NextGadget
	DC.W	291,31			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	TenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	10		; GadgetID  
	DC.L	0		; UserData  

Eleveng	DC.L	Twelveg			; NextGadget
	DC.W	320,31			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	ElevenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	11		; GadgetID  
	DC.L	0		; UserData  

Twelveg	DC.L	Thrteng			; NextGadget
	DC.W	349,31			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	TwelveI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	12		; GadgetID  
	DC.L	0		; UserData  

Thrteng	DC.L	Forteng			; NextGadget
	DC.W	291,14			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	ThrtenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	13		; GadgetID  
	DC.L	0		; UserData  

Forteng	DC.L	Fifteng			; NextGadget
	DC.W	320,14			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	FortenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	14		; GadgetID  
	DC.L	0		; UserData  

Fifteng	DC.L	Plusg			; NextGadget
	DC.W	349,14			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	FiftenI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	15		; GadgetID  
	DC.L	0		; UserData  

Plusg	DC.L	Minusg		; NextGadget
	DC.W	378,65			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	PlusI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	16		; GadgetID  
	DC.L	0		; UserData  

Minusg	DC.L	Multig			; NextGadget
	DC.W	378,48			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	MinusI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	17		; GadgetID  
	DC.L	0		; UserData  

Multig	DC.L	Divideg			; NextGadget
	DC.W	378,31			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	MultiI			; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	18		; GadgetID  
	DC.L	0		; UserData  

Divideg	DC.L	Equalg			; NextGadget
	DC.W	378,14			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	DivideI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	19		; GadgetID  
	DC.L	0		; UserData  

Equalg	DC.L	Titleg			; NextGadget
	DC.W	378,99			; LeftEdge, TopEdge  
	DC.W	21,17			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	EqualI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	20		; GadgetID  
	DC.L	0		; UserData  

Titleg	DC.L	$0000			; NextGadget
	DC.W	71,79			; LeftEdge, TopEdge  
	DC.W	141,35			; Width, Height  
	DC.W	GADGIMAGE+GADGHCOMP	; Flags  
	DC.W	RELVERIFY		; Activation  
	DC.W	BOOLGADGET		; GadgetType  
	DC.L	TitleI		; GadgetRender  
	DC.L	0		; SelectRender  
	DC.L	0		; GadgetText  
	DC.L	0		; MutualExclude  
	DC.L	0		; SpecialInfo  
	DC.W	21		; GadgetID  
	DC.L	0		; UserData  

GadT	dc.l	ZeroG
	dc.l	Oneg
	dc.l	Twog
	dc.l	Threeg
	dc.l	Fourg
	dc.l	Fiveg
	dc.l	Sixg
	dc.l	Seveng
	dc.l	Eightg
	dc.l	Nineg
	dc.l	Teng
	dc.l	Eleveng
	dc.l	Twelveg
	dc.l	Thrteng
	dc.l	Forteng
	dc.l	Fifteng
	dc.l	Plusg
	dc.l	Minusg
	dc.l	Multig
	dc.l	Divideg
	dc.l	Equalg
	dc.l	Bing
	dc.l	Octg
	dc.l	Gadg
	dc.l	Decg
	dc.l	Clrg


	END
